Bug 1019177 - Preferences UI is confusing for usernames taken from LDAP
Preferences UI is confusing for usernames taken from LDAP
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
0.14
Unspecified Unspecified
low Severity low (vote)
: 23.0
: ---
Assigned To: Dan Callaghan
tools-bugs
UX
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 05:11 EDT by Petr Beňas
Modified: 2016-07-07 19:10 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-07 19:10:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Beňas 2013-10-15 05:11:16 EDT
Version-Release number of selected component (if applicable):
0.14.1

How reproducible:
100%

Steps to Reproduce:
1. Hello, username -> Preferences
2. Change contents of the Beaker Password field
3. Click Change

Actual results:
Cannot change password error appears

Expected results:
Password is changed

Additional info:
Comment 2 Nick Coghlan 2013-10-15 05:23:56 EDT
This is actually expected behaviour - users can't set a login password in Beaker if they're being authenticated against an LDAP server.

However, displaying the password field and then objecting if the user tries to enter a value is admittedly confusing.

If the status of a user as LDAP-derived or not was cached locally, then it would be possible to simply hide or disable the password field (with an appropriate message) for affected users.
Comment 3 Nick Coghlan 2013-10-22 03:15:47 EDT
At some point before 1.0, we should ensure we hide or disable the Beaker password field for LDAP logins.
Comment 5 Dan Callaghan 2016-05-15 22:59:29 EDT
This is implemented in Beaker 23, as part of the Preferences page re-implementation.

Note that the password changing field is now moved to the user page (in the menu it's Hello -> My Account). Actually it was always there *too*, but now we have removed it from the Preferences page in favour of the user page.

In Beaker 23 if a user's account came from LDAP then the "change password" form is not offered on the My Account page.
Comment 7 Dan Callaghan 2016-07-07 19:10:54 EDT
Beaker 23.0 has been released.

Note You need to log in before you can comment on or make changes to this bug.